declare
  cursor c is
    select e.eno, e.person.phones
    from   o_employees e;
  enum o_employees.eno%type;
  phs  o_employees.person.phones%type; 
begin
  open c;
  loop
    fetch c into enum, phs;
    exit when c%notfound;
    dbms_output.put_line('Employee ' ||
        enum || ' has ' ||
        phs.count || ' phone numbers'); 
  end loop;
  close c;
end;
/
show errors
